Skip to content

List SSH collect sessions

GET
/api/v1/ssh/collect/sessions/

Lists all SSH collect session of the project the API key is associated with.

offset

Offset to start the list from.

integer format: int64
0

Offset to start the list from.

limit

Limit the number of items to return.

integer format: int64
default: 100

Limit the number of items to return.

OK

object
$schema

A URL to the JSON Schema for this object.

string format: uri
has_more
required

Indicates if there are more items available.

boolean
items
required

All items according to the provided limit and offset.

array | null
object
connection_identifier
required

The username used to connect to the SSH server. This is used to identify the session.

string
created_at
required

The time when the session was created.

string format: date-time
expired_at
required

The time when the session expires. Cannot be used in combination with timeout.

string | null format: date-time
external_id
required

The external ID of the session. Can be used to connect sessions to other systems.

string | null
id
required

The ID of the session.

string
multi_connection
required

Whether this session should keep collecting keys after the first connection.

boolean
multi_key
required

Whether multiple keys should be collected in this session.

boolean
must_confirm
required

When enabled, the user has to confirm the collecting by pressing y on the SSH client.

boolean
ssh_banner
required

The SSH banner to show when connecting to the session.

string | null
ssh_message
required

The SSH message to show after connecting to the session.

string | null
status
required

The status of the session.

string
Allowed values: pending completed
updated_at
required

The time when the session was updated.

string format: date-time
limit
required

The provided limit.

integer format: int64
offset
required

The provided offset.

integer format: int64
total
required

Total number of items.

integer format: int64

Error

object
$schema

A URL to the JSON Schema for this object.

string format: uri
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

array | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank